local this = {}

local config = require("Sophisticated Save System.config")
local interop = require("Sophisticated Save System.interop")

local template = mwse.mcm.createTemplate("Systme de sauvegarde sophistiqu")
template:saveOnClose("Sophisticated Save System", config)

local page = template:createPage()

page:createYesNoButton({
    label = "Le chargement rapide ignore le type de sauvegarde ?",
    description = "En temps normal, la fonctionnalit de Chargement rapide ne chargera que la sauvegarde rapide la plus rcente. Activer cette option fait en sorte que le chargement rapide charge la sauvegarde la plus rcente, que ce soit une sauvegarde rapide, une sauvegarde automatique ou une sauvegarde en dur.",
    variable = mwse.mcm.createTableVariable({
        id = "loadLatestSave",
        table = config,
    }),
})

page:createTextField({
    label = "Nombre de sauvegardes automatiques  conserver : ",
    description = "Le nombre maximum de sauvegardes automatiques  conserver. Les plus anciennes sont supprimes pour laisser la place aux nouvelles.",
    variable = mwse.mcm.createTableVariable({
        id = "maxSaveCount",
        table = config,
        numbersOnly = true,
    }),
})

page:createTextField({
    label = "Dlai minimum entre chaque sauvegarde automatique : ",
    description = "Quand le mod prvoit une sauvegarde automatique, elle ne sera faite que lorsque cette dure (en minutes) au moins se sera coule.",
    variable = mwse.mcm.createTableVariable({
        id = "minimumTimeBetweenAutoSaves",
        table = config,
        numbersOnly = true,
    }),
})

page:createYesNoButton({
    label = "Sauvegarde automatique  un rythme fixe ?",
    description = "Une sauvegarde automatique n'est prvue que si un vnement significatif s'est droul depuis la prcdente sauvegarde automatique.\n\nAvec cette option, l'coulement d'une dure suffisante prvoira une sauvegarde.",
    variable = mwse.mcm.createTableVariable({
        id = "saveOnTimer",
        table = config,
    }),
})

page:createTextField({
    label = "Dlai entre deux sauvegardes automatiques :",
    description = "Le dlai sparant deux sauvegardes automatiques si l'option prcdente est active.",
    variable = mwse.mcm.createTableVariable({
        id = "timeBetweenAutoSaves",
        table = config,
        numbersOnly = true,
    }),
})

page:createYesNoButton({
    label = "Sauvegarde automatique au dbut des combats ?",
    description = "Une sauvegarde automatique n'est prvue que si un vnement significatif s'est droul depuis la prcdente sauvegarde automatique.\n\nAvec cette option, le dbut d'un combat prvoira une sauvegarde.",
    variable = mwse.mcm.createTableVariable({
        id = "saveOnCombatStart",
        table = config,
    }),
})

page:createYesNoButton({
    label = "Sauvegarde automatique  la fin des combats ?",
    description = "Une sauvegarde automatique n'est prvue que si un vnement significatif s'est droul depuis la prcdente sauvegarde automatique.\n\nAvec cette option, la fin d'un combat prvoira une sauvegarde.",
    variable = mwse.mcm.createTableVariable({
        id = "saveOnCombatEnd",
        table = config,
    }),
})

page:createYesNoButton({
    label = "Sauvegarde automatique aux changements de cellule ?",
    description = "Une sauvegarde automatique n'est prvue que si un vnement significatif s'est droul depuis la prcdente sauvegarde automatique.\n\nAvec cette option, un changement de cellule prvoira une sauvegarde.",
    variable = mwse.mcm.createTableVariable({
        id = "saveOnCellChange",
        table = config,
    }),
})

mwse.mcm.register(template)
